Holger's Java API

## com.antelmann.util
Class SimpleKey

    java.lang.Object
      com.antelmann.util.SimpleKey

All Implemented Interfaces:
  SynchronousKey

    public class SimpleKey

extends Object
implements SynchronousKey

A very simple encryption algorithm for demonstration purposes only. It is far from being safe, but it will require anyone to at least put some manual effort into reading any message that uses Encoded objects using this algorithm when send over the Internet. (And BTW, since this is open source, it would be a BAD IDEA to use this synchronous key for anything else but a demonstration!)

Author:
  Holger Antelmann

Constructor Summary
`SimpleKey()`
`SimpleKey(int key)`

Method Summary
`byte[]` `decode(byte[] encrypted)`
`void` `decode(InputStream in, OutputStream out)` decodes the given InputStream into the given OutputStream
`byte[]` `encode(byte[] plainSource)`
`void` `encode(InputStream in, OutputStream out)` encodes the given InputStream into the given OutputStream
`String` `getKeySignature()` returns a signature that is used to identify the key that needs to be known for both, encoding and decoding

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleKey

    public SimpleKey()

### SimpleKey

    public SimpleKey(int key)

Method Detail

### encode

    public void encode(InputStream in,
                       OutputStream out)
                throws IOException

  Description copied from interface: `SynchronousKey`
  encodes the given InputStream into the given OutputStream

  Specified by:
    `encode` in interface `SynchronousKey`
  Throws:
    `IOException`

### decode

    public void decode(InputStream in,
                       OutputStream out)
                throws IOException

  Description copied from interface: `SynchronousKey`
  decodes the given InputStream into the given OutputStream

  Specified by:
    `decode` in interface `SynchronousKey`
  Throws:
    `IOException`

### decode

    public byte[] decode(byte[] encrypted)

### encode

    public byte[] encode(byte[] plainSource)

### getKeySignature

    public String getKeySignature()

  Description copied from interface: `SynchronousKey`
  returns a signature that is used to identify the key that needs to be known for both, encoding and decoding

  Specified by:
    `getKeySignature` in interface `SynchronousKey`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads